Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.impl
Class CacheListenerAdaptor

    java.lang.Object
      org.jboss.cache.pojo.impl.CacheListenerAdaptor

    public class CacheListenerAdaptor

extends Object

Adapts the core cache listener API into the POJO listener API.

Author:
  Jason T. Greene

Constructor Summary
`CacheListenerAdaptor(PojoCacheImpl cache)`

Method Summary
`void` | `addListener(Object listener)`
`void` | `addListener(Object listener, Pattern pattern)`
`Collection<Object>` | `getListeners()`
`PojoCache` | `getPojoCache()`
`void` | `handleTransaction(org.jboss.cache.notifications.event.TransactionalEvent event)`
`boolean` | `isEmpty()`
`void` | `nodeModified(org.jboss.cache.notifications.event.NodeModifiedEvent event)`
`void` | `removeListener(Object listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheListenerAdaptor

    public CacheListenerAdaptor(PojoCacheImpl cache)

Method Detail

### getPojoCache

    public PojoCache getPojoCache()

### handleTransaction

    public void handleTransaction(org.jboss.cache.notifications.event.TransactionalEvent event)

### nodeModified

    public void nodeModified(org.jboss.cache.notifications.event.NodeModifiedEvent event)

### isEmpty

    public boolean isEmpty()

### getListeners

    public Collection<Object> getListeners()

### addListener

    public void addListener(Object listener)

### addListener

    public void addListener(Object listener,
                            Pattern pattern)

### removeListener

    public void removeListener(Object listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 JBoss, a division of Red Hat. All Rights Reserved.